#############################################
## Here use parallel computing for simulation
library(snowfall)
sfInit(parallel=TRUE, cpus=20, type="SOCK")
sfSource("SelectionOfK.r")

load(file="Data.1.rdata")

Complete <- Data.1[[1]]
Type <- Data.1[[2]]
perc = 0.05
k = 15
n = 40
missing.data <- missing.no(Complete,n,perc)

sfExport("missing.data")
sfExport("Complete")
sfExport("Type")
sfExport("perc")
sfExport("k")

test.result.5.perc = sfLapply(as.list(1:n),function(x) First.missing.simulation(x))
save(test.result.5.perc,file="/home/liao/8_23_2013_select_k/test.result.5.perc.Simulation.1.rdata")
sfStop()

#########################################################################
library(snowfall)
sfInit(parallel=TRUE, cpus=20, type="SOCK")
sfSource("SelectionOfK.r")

load(file="Data.1.rdata")


Complete <- Data.1[[1]]
Type <- Data.1[[2]]
perc = 0.10
k = 15
n = 40
missing.data <- missing.no(Complete,n,perc)

sfExport("missing.data")
sfExport("Complete")
sfExport("Type")
sfExport("perc")
sfExport("k")
test.result.10.perc = sfLapply(as.list(1:n),function(x) First.missing.simulation(x))
save(test.result.10.perc,file="/home/liao/8_23_2013_select_k/test.result.10.perc.Simulation.1.rdata")
sfStop()

#########################################################################

library(snowfall)
sfInit(parallel=TRUE, cpus=20, type="SOCK")
sfSource("SelectionOfK.r")

load(file="Data.1.rdata")

Complete <- Data.1[[1]]
Type <- Data.1[[2]]
perc = 0.20
k = 15
n = 40
missing.data <- missing.no(Complete,n,perc)

sfExport("missing.data")
sfExport("Complete")
sfExport("Type")
sfExport("perc")
sfExport("k")
test.result.20.perc = sfLapply(as.list(1:n),function(x) First.missing.simulation(x))
save(test.result.20.perc,file="/home/liao/8_23_2013_select_k/test.result.20.perc.Simulation.1.rdata")
sfStop()

#########################################################################

library(snowfall)
sfInit(parallel=TRUE, cpus=20, type="SOCK")
sfSource("SelectionOfK.r")

load(file="Data.1.rdata")


Complete <- Data.1[[1]]
Type <- Data.1[[2]]
perc = 0.40
k = 15
n = 40
missing.data <- missing.no(Complete,n,perc)

sfExport("missing.data")
sfExport("Complete")
sfExport("Type")
sfExport("perc")
sfExport("k")
test.result.40.perc = sfLapply(as.list(1:n),function(x) First.missing.simulation(x))
save(test.result.40.perc,file="/home/liao/8_23_2013_select_k/test.result.40.perc.Simulation.1.rdata")
sfStop()

