load(file="COPD.rdata")
library(snowfall)
sfInit(parallel=TRUE, cpus=10, type="SOCK")
sfSource("MICE_method.r")
Complete <- New[[1]]
Type <- New[[2]]

nom = Complete[,which(Type%in%c("nom"))]
select = which(Type%in%c("nom"))
contingency.table = apply(nom,2,table)
variable.level = apply(nom,2,function(x) length(unique(x)))
determin.sparsity = unlist(lapply(1:length(select),function(x) (sum(contingency.table[[x]]/nrow(Complete)<0.20)|(variable.level[x]>10))))
remove.nom = select[which(determin.sparsity>0)]

ord = Complete[,which(Type%in%c("ord"))]
select = which(Type%in%c("ord"))
contingency.table = apply(ord,2,table)
variable.level = apply(ord,2,function(x) length(unique(x)))
determin.sparsity = unlist(lapply(1:length(select),function(x) (sum(contingency.table[[x]]/nrow(Complete)<0.05)|(variable.level[x]>10))))
remove.ord = select[which(determin.sparsity>0)]

remove.all = c(remove.nom,remove.ord)
Complete = Complete[,-remove.all]
Type = Type[-remove.all]

n = 20
perc = 0.05

missing.data <- missing.no(Complete,n,perc)
sfExport("missing.data")

sfExport("Complete")
sfExport("Type")
sfExport("perc")
test.result.MICE.COPD.5.perc = sfLapply(1:n,function(x) MICE.function(x))
save(test.result.MICE.COPD.5.perc,file="/home/liao/MICE/test.result.MICE.COPD.5.perc.rdata")
sfStop()

###

load(file="COPD.rdata")
library(snowfall)
sfInit(parallel=TRUE, cpus=10, type="SOCK")
sfSource("MICE_method.r")
Complete <- New[[1]]
Type <- New[[2]]

nom = Complete[,which(Type%in%c("nom"))]
select = which(Type%in%c("nom"))
contingency.table = apply(nom,2,table)
variable.level = apply(nom,2,function(x) length(unique(x)))
determin.sparsity = unlist(lapply(1:length(select),function(x) (sum(contingency.table[[x]]/nrow(Complete)<0.20)|(variable.level[x]>10))))
remove.nom = select[which(determin.sparsity>0)]

ord = Complete[,which(Type%in%c("ord"))]
select = which(Type%in%c("ord"))
contingency.table = apply(ord,2,table)
variable.level = apply(ord,2,function(x) length(unique(x)))
determin.sparsity = unlist(lapply(1:length(select),function(x) (sum(contingency.table[[x]]/nrow(Complete)<0.05)|(variable.level[x]>10))))
remove.ord = select[which(determin.sparsity>0)]

remove.all = c(remove.nom,remove.ord)
Complete = Complete[,-remove.all]
Type = Type[-remove.all]

n = 20
perc = 0.20

missing.data <- missing.no(Complete,n,perc)
sfExport("missing.data")

sfExport("Complete")
sfExport("Type")
sfExport("perc")
test.result.MICE.COPD.20.perc = sfLapply(1:n,function(x) MICE.function(x))
save(test.result.MICE.COPD.20.perc,file="/home/liao/MICE/test.result.MICE.COPD.20.perc.rdata")
sfStop()

###
load(file="COPD.rdata")
library(snowfall)
sfInit(parallel=TRUE, cpus=10, type="SOCK")
sfSource("MICE_method.r")
Complete <- New[[1]]
Type <- New[[2]]

nom = Complete[,which(Type%in%c("nom"))]
select = which(Type%in%c("nom"))
contingency.table = apply(nom,2,table)
variable.level = apply(nom,2,function(x) length(unique(x)))
determin.sparsity = unlist(lapply(1:length(select),function(x) (sum(contingency.table[[x]]/nrow(Complete)<0.20)|(variable.level[x]>10))))
remove.nom = select[which(determin.sparsity>0)]

ord = Complete[,which(Type%in%c("ord"))]
select = which(Type%in%c("ord"))
contingency.table = apply(ord,2,table)
variable.level = apply(ord,2,function(x) length(unique(x)))
determin.sparsity = unlist(lapply(1:length(select),function(x) (sum(contingency.table[[x]]/nrow(Complete)<0.05)|(variable.level[x]>10))))
remove.ord = select[which(determin.sparsity>0)]

remove.all = c(remove.nom,remove.ord)
Complete = Complete[,-remove.all]
Type = Type[-remove.all]
n = 20
perc = 0.40

missing.data <- missing.no(Complete,n,perc)
sfExport("missing.data")

sfExport("Complete")
sfExport("Type")
sfExport("perc")
test.result.MICE.COPD.40.perc = sfLapply(1:n,function(x) MICE.function(x))
save(test.result.MICE.COPD.40.perc,file="/home/liao/MICE/test.result.MICE.COPD.40.perc.rdata")
sfStop()
